<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"> -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script src="/static/js/getrequest.js"></script>
  <script src="/static/js/postrequest.js"></script>
</head>
 
<body> 
<div class="container"> 
<div class="col-sm-4">
	<div>		
		<form id="userForm">
		  <div class="form-group">
			<label for="firstname">FirstName:</label>
			<input type="text" class="form-control" id="firstname" placeholder="Enter FirstName"/>
		  </div>
		  <div class="form-group">
			<label for="lastname">LastName:</label>
			<input type="text" class="form-control" id="lastname" placeholder="Enter LastName"/>
		  </div>
		  <div class="form-group">
			<label for="dob">DOB:</label>
			<input type="text" class="form-control" id="dob" placeholder="Enter DOB"/>
		  </div>
		  <button type="submit" class="btn btn-default">Submit</button>
		</form>
	</div>
	<div id="postResultDiv">
	</div>
	<br>
	<div>
		<button id="allUsers" type="button" class="btn btn-default">Users</button>
		<div id="getResultDiv">
	        <ul class="list-group">
	    	</ul>
    	</div>
	</div>
</div>	
</div>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Data Tables</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>

	<script
  src="http://code.jquery.com/jquery-3.3.1.min.js"
  integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
  crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
  <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js" ></script>
</head>
<body>
<div class="container">
	<table class="table table-fluid" id="myTable">
	<thead>
    <tr><th>Name</th><th>Last</th><th>DOB</th></tr>

    </thead>
    
    <% user.forEach(function(row){%>
        <tr>
            <td> <%= row.firstname %> </td>
            <td> <%= row.lastname %> </td> 
            <td> <%= row.dob %> </td> 
        </tr>

      <%}) %>  
    
      <tbody>

    

	</tbody>
	</table>
</div>

<script>
	$(document).ready( function () {
	$('#myTable').DataTable();
} );
	</script>
</body>
</html>
</body>
</html>